Kyoto Cabinet

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions
kyotocabinet::BasicDB::MetaTrigger Class Reference

Interface to trigger meta database operations. More...

`#include <kcdb.h>`

List of all members.

## Public Types

enum | Kind { OPEN, CLOSE, CLEAR, ITERATE, SYNCHRONIZE, OCCUPY, BEGINTRAN, COMMITTRAN, ABORTTRAN, MISC = 15 }
| Event kinds. More...

## Public Member Functions

virtual | ~MetaTrigger ()
| Destructor.
virtual void | trigger (Kind kind, const char *message)=0
| Trigger a meta database operation.

## Detailed Description

Interface to trigger meta database operations.

## Member Enumeration Documentation

enum kyotocabinet::BasicDB::MetaTrigger::Kind

Event kinds.

Enumerator:

  OPEN | opening
  CLOSE | closing
  CLEAR | clearing
  ITERATE | iteration
  SYNCHRONIZE | synchronization
  OCCUPY | occupation
  BEGINTRAN | beginning transaction
  COMMITTRAN | committing transaction
  ABORTTRAN | aborting transaction
  MISC | miscellaneous operation

## Constructor & Destructor Documentation

virtual kyotocabinet::BasicDB::MetaTrigger::~MetaTrigger | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual void kyotocabinet::BasicDB::MetaTrigger::trigger | ( | Kind | kind,
|  | const char * | message
| ) |  | `[pure virtual]`

Trigger a meta database operation.

Parameters:

  kind

  the kind of the event. MetaTrigger::OPEN for opening, MetaTrigger::CLOSE for closing, MetaTrigger::CLEAR for clearing, MetaTrigger::ITERATE for iteration, MetaTrigger::SYNCHRONIZE for synchronization, MetaTrigger::OCCUPY for occupation, MetaTrigger::BEGINTRAN for beginning transaction, MetaTrigger::COMMITTRAN for committing transaction, MetaTrigger::ABORTTRAN for aborting transaction, and MetaTrigger::MISC for miscellaneous operations.

  message | the supplement message.